Subject: Re: bug in regular expressions

From: [email-masked] (Stephen R. van den Berg)
Date: Fri, 3 Mar 1995 14:50:42 +0100

Malte Uhl <[email-masked]> wrote:
>I think I've found a bug in the regular expression code of procmail 3.10.
>While
>	egrep '\(System PRIVILEGED Account\)'
>matches
>	'To: root (System PRIVILEGED Account)',
>the same expression use with procmail does not. So either procmail regexp
>is not egrep compatible, or this is a bug. I have veryfied this with GNU
>and native egrep on Solaris 2.4 and Ultrix and DEC OSF1.

The egreps are correct, but so is procmail.

A *leading* \ on a recipe [actually I meant: condition] needs to be escaped
itself.  I.e. either use something like:

		* .\(System PRIVILEGED Account\)
or		* \\(System PRIVILEGED Account\)

-- 
Sincerely,                                  [email-masked]
           Stephen R. van den Berg (AKA BuGless).

"My name is Smith, the P is not pronounced."